.blog-detail .post-content {
    overflow-wrap: break-word;
    word-wrap: break-word;
}

.blog-detail .post-content span[style~='color:'] a {
    color: inherit;
}

.blog-detail .post-content strong {
    font-weight: bold;
}

.blog-detail .post-content table {
    border: 0;
    border-collapse: collapse;
    empty-cells: show;
    max-width: 100%;
}

.blog-detail .post-content table td {
    min-width: 5px;
}

.blog-detail .post-content table th {
    background: #e6e6e6;
}

.blog-detail .post-content hr {
    clear: both;
    user-select: none;
    -o-user-select: none;
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    page-break-after: always;
}

.blog-detail .post-content pre {
    white-space: pre-wrap;
    word-wrap: break-word;
    overflow: visible;
}

.blog-detail .post-content blockquote {
    border-left: solid 2px #e21313;
    margin-left: 0;
    padding-left: 5px;
    color: #e21313;
}

.blog-detail .post-content blockquote blockquote {
    border-color: #e21313;
    color: #e21313;
}

.blog-detail .post-content blockquote blockquote blockquote {
    border-color: #e21313;
    color: #e21313;
}


.blog-detail .post-content img {
    position: relative;
    max-width: 100%;
}

.blog-detail .post-content img {
    position: relative;
    max-width: 100%;
}

.block-detail p em {
    font-size: 0.95rem;
    line-height: 1.3rem;
}

a.fr-view.fr-strong {
    font-weight: bold;
}

a.fr-view.fr-green {
    color: green;
}

img.blog-detail .post-content {
    position: relative;
    max-width: 100%;
}

/*TINYMCE STYLES*/

/**
 * Copyright (c) Tiny Technologies, Inc. All rights reserved.
 * Licensed under the LGPL or a commercial license.
 * For LGPL see License.txt in the project root for license information.
 * For commercial licenses see https://www.tiny.cloud/
 */

.post-content .mce-item-anchor {
    background: transparent url("data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D'8'%20height%3D'12'%20xmlns%3D'http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg'%3E%3Cpath%20d%3D'M0%200L8%200%208%2012%204.09117821%209%200%2012z'%2F%3E%3C%2Fsvg%3E%0A") no-repeat center;
    cursor: default;
    display: inline-block;
    height: 12px !important;
    padding: 0 2px;
    -webkit-user-modify: read-only;
    -moz-user-modify: read-only;
    -webkit-user-select: all;
    -moz-user-select: all;
    -ms-user-select: all;
    user-select: all;
    width: 8px !important;
}

.post-content .mce-item-anchor[data-mce-selected] {
    outline-offset: 1px;
}

.tox-comments-visible .tox-comment {
    background-color: #fff0b7;
}

.tox-comments-visible .tox-comment--active {
    background-color: #ffe168;
}

.tox-checklist>li:not(.tox-checklist--hidden) {
    list-style: none;
    margin: 0.25em 0;
}

.tox-checklist>li:not(.tox-checklist--hidden)::before {
    content: url('data:image/svg+xml;charset=UTF-8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2216%22%20viewBox%3D%220%200%2016%2016%22%3E%3Cg%20id%3D%22checklist-unchecked%22%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Crect%20id%3D%22Rectangle%22%20width%3D%2215%22%20height%3D%2215%22%20x%3D%22.5%22%20y%3D%22.5%22%20fill-rule%3D%22nonzero%22%20stroke%3D%22%234C4C4C%22%20rx%3D%222%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E%0A');
    cursor: pointer;
    height: 1em;
    margin-left: -1.5em;
    margin-top: 0.125em;
    position: absolute;
    width: 1em;
}

.tox-checklist li:not(.tox-checklist--hidden).tox-checklist--checked::before {
    content: url('data:image/svg+xml;charset=UTF-8,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%2216%22%20height%3D%2216%22%20viewBox%3D%220%200%2016%2016%22%3E%3Cg%20id%3D%22checklist-checked%22%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Crect%20id%3D%22Rectangle%22%20width%3D%2216%22%20height%3D%2216%22%20fill%3D%22%234099FF%22%20fill-rule%3D%22nonzero%22%20rx%3D%222%22%2F%3E%3Cpath%20id%3D%22Path%22%20fill%3D%22%23FFF%22%20fill-rule%3D%22nonzero%22%20d%3D%22M11.5703186%2C3.14417309%20C11.8516238%2C2.73724603%2012.4164781%2C2.62829933%2012.83558%2C2.89774797%20C13.260121%2C3.17069355%2013.3759736%2C3.72932262%2013.0909105%2C4.14168582%20L7.7580587%2C11.8560195%20C7.43776896%2C12.3193404%206.76483983%2C12.3852142%206.35607322%2C11.9948725%20L3.02491697%2C8.8138662%20C2.66090143%2C8.46625845%202.65798871%2C7.89594698%203.01850234%2C7.54483354%20C3.373942%2C7.19866177%203.94940006%2C7.19592841%204.30829608%2C7.5386474%20L6.85276923%2C9.9684299%20L11.5703186%2C3.14417309%20Z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E%0A');
}

[dir='rtl'] .tox-checklist>li:not(.tox-checklist--hidden)::before {
    margin-left: 0;
    margin-right: -1.5em;
}

/* stylelint-disable */

/* http://prismjs.com/ */

/**
 * prism.js default theme for JavaScript, CSS and HTML
 * Based on dabblet (http://dabblet.com)
 * @author Lea Verou
 */

code[class*='language-'],
pre[class*='language-'] {
    color: black;
    background: none;
    text-shadow: 0 1px white;
    font-family: Consolas, Monaco, 'Andale Mono', 'Ubuntu Mono', monospace;
    font-size: 1em;
    text-align: left;
    white-space: pre;
    word-spacing: normal;
    word-break: normal;
    word-wrap: normal;
    line-height: 1.5;
    -moz-tab-size: 4;
    tab-size: 4;
    -webkit-hyphens: none;
    -ms-hyphens: none;
    hyphens: none;
}

pre[class*='language-']::-moz-selection,
pre[class*='language-'] ::-moz-selection,
code[class*='language-']::-moz-selection,
code[class*='language-'] ::-moz-selection {
    text-shadow: none;
    background: #b3d4fc;
}

pre[class*='language-']::selection,
pre[class*='language-'] ::selection,
code[class*='language-']::selection,
code[class*='language-'] ::selection {
    text-shadow: none;
    background: #b3d4fc;
}

@media print {

    code[class*='language-'],
    pre[class*='language-'] {
        text-shadow: none;
    }
}

/* Code blocks */

pre[class*='language-'] {
    padding: 1em;
    margin: 0.5em 0;
    overflow: auto;
}

:not(pre)>code[class*='language-'],
pre[class*='language-'] {
    background: #f5f2f0;
}

/* Inline code */

:not(pre)>code[class*='language-'] {
    padding: 0.1em;
    border-radius: 0.3em;
    white-space: normal;
}

.token.comment,
.token.prolog,
.token.doctype,
.token.cdata {
    color: slategray;
}

.token.punctuation {
    color: #999;
}

.namespace {
    opacity: 0.7;
}

.token.property,
.token.tag,
.token.boolean,
.token.number,
.token.constant,
.token.symbol,
.token.deleted {
    color: #905;
}

.token.selector,
.token.attr-name,
.token.string,
.token.char,
.token.builtin,
.token.inserted {
    color: #690;
}

.token.operator,
.token.entity,
.token.url,
.language-css .token.string,
.style .token.string {
    color: #9a6e3a;
    background: hsla(0, 0%, 100%, 0.5);
}

.token.atrule,
.token.attr-value,
.token.keyword {
    color: #07a;
}

.token.function,
.token.class-name {
    color: #dd4a68;
}

.token.regex,
.token.important,
.token.variable {
    color: #e90;
}

.token.important,
.token.bold {
    font-weight: bold;
}

.token.italic {
    font-style: italic;
}

.token.entity {
    cursor: help;
}

/* stylelint-enable */

.post-content {}

.post-content .mce-visual-caret {
    background-color: black;
    background-color: currentColor;
    position: absolute;
}

.post-content .mce-visual-caret-hidden {
    display: none;
}

.post-content *[data-mce-caret] {
    left: -1000px;
    margin: 0;
    padding: 0;
    position: absolute;
    right: auto;
    top: 0;
}

.post-content .mce-offscreen-selection {
    left: -2000000px;
    max-width: 1000000px;
    position: absolute;
}

.post-content *[contentEditable='false'] {
    cursor: default;
}

.post-content *[contentEditable='true'] {
    cursor: text;
}

.post-content figure.align-left {
    float: left;
}

.post-content figure.align-right {
    float: right;
}

.post-content figure.image.align-center {}

.post-content[data-mce-placeholder] {
    position: relative;
}

.post-content[data-mce-placeholder]:not(.mce-visualblocks)::before {
    color: rgba(34, 47, 62, 0.7);
    content: attr(data-mce-placeholder);
    position: absolute;
}

.post-content:not([dir='rtl'])[data-mce-placeholder]:not(.mce-visualblocks)::before {
    left: 1px;
}

.post-content[dir='rtl'][data-mce-placeholder]:not(.mce-visualblocks)::before {
    right: 1px;
}

.post-content div.mce-resizehandle {
    background-color: #4099ff;
    border-color: #4099ff;
    border-style: solid;
    border-width: 1px;
    box-sizing: border-box;
    height: 10px;
    position: absolute;
    width: 10px;
    z-index: 10000;
}

.post-content div.mce-resizehandle:hover {
    background-color: #4099ff;
}

.post-content div.mce-resizehandle:nth-of-type(1) {
    cursor: nwse-resize;
}

.post-content div.mce-resizehandle:nth-of-type(2) {
    cursor: nesw-resize;
}

.post-content div.mce-resizehandle:nth-of-type(3) {
    cursor: nwse-resize;
}

.post-content div.mce-resizehandle:nth-of-type(4) {
    cursor: nesw-resize;
}

.post-content .mce-clonedresizable {
    opacity: 0.5;
    outline: 1px dashed black;
    position: absolute;
    z-index: 10000;
}

.post-content .mce-clonedresizable.mce-resizetable-columns th,
.post-content .mce-clonedresizable.mce-resizetable-columns td {
    border: 0;
}

.post-content .mce-resize-helper {
    background: #555;
    background: rgba(0, 0, 0, 0.75);
    border: 1px;
    border-radius: 3px;
    color: white;
    display: none;
    font-family: sans-serif;
    font-size: 12px;
    line-height: 14px;
    margin: 5px 10px;
    padding: 5px;
    position: absolute;
    white-space: nowrap;
    z-index: 10001;
}

.post-content img[data-mce-selected],
.post-content video[data-mce-selected],
.post-content audio[data-mce-selected],
.post-content object[data-mce-selected],
.post-content embed[data-mce-selected],
.post-content table[data-mce-selected] {
    outline: 3px solid #b4d7ff;
}

.post-content hr[data-mce-selected] {
    outline: 3px solid #b4d7ff;
    outline-offset: 1px;
}

.post-content *[contentEditable='false'] *[contentEditable='true']:focus {
    outline: 3px solid #b4d7ff;
}

.post-content *[contentEditable='false'] *[contentEditable='true']:hover {
    outline: 3px solid #b4d7ff;
}

.post-content *[contentEditable='false'][data-mce-selected] {
    cursor: not-allowed;
    outline: 3px solid #b4d7ff;
}

.post-content.mce-content-readonly *[contentEditable='true']:focus,
.post-content.mce-content-readonly *[contentEditable='true']:hover {
    outline: none;
}

.post-content *[data-mce-selected='inline-boundary'] {
    background-color: #b4d7ff;
}

.post-content .mce-edit-focus {
    outline: 3px solid #b4d7ff;
}

.post-content td[data-mce-selected],
.post-content th[data-mce-selected] {
    position: relative;
}

.post-content td[data-mce-selected]::-moz-selection,
.post-content th[data-mce-selected]::-moz-selection {
    background: none;
}

.post-content td[data-mce-selected]::selection,
.post-content th[data-mce-selected]::selection {
    background: none;
}

.post-content td[data-mce-selected] *,
.post-content th[data-mce-selected] * {
    outline: none;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.post-content td[data-mce-selected]::after,
.post-content th[data-mce-selected]::after {
    background-color: rgba(180, 215, 255, 0.35);
    border: 1px solid rgba(180, 215, 255, 0.35);
    bottom: -1px;
    content: '';
    left: -1px;
    mix-blend-mode: multiply;
    position: absolute;
    right: -1px;
    top: -1px;
}

@media screen and (-ms-high-contrast: active),
(-ms-high-contrast: none) {

    .post-content td[data-mce-selected]::after,
    .post-content th[data-mce-selected]::after {
        border-color: rgba(0, 84, 180, 0.35);
    }
}

.post-content img::-moz-selection {
    background: none;
}

.post-content img::selection {
    background: none;
}

/*
Tinymce Customize
 */
.post-content table.plugins {
    border-width: 0 !important;
}

.post-content img {
    max-width: 100%;
}

.mce-repsonsive {
    position: relative;
    display: block;
}

.mce-repsonsive.mce-repsonsive-16by9 {
    padding-top: 56.25%;
}

.mce-repsonsive .mce-object-video,
.mce-repsonsive .mce-repsonsive-item {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.post-content figure.image.align-center img,
.post-content figure.image.align-center figcaption {
    text-align: center;
    font-style: italic;
}

.post-content figure.align-left {
    float: left;
    margin-right: 15px;
}

.post-content figure.align-right {
    float: right;
    margin-left: 15px;
}

.post-content figure.align-center {
    float: none;
    margin-left: auto;
    margin-right: auto;
}

/**
 * migrate table style from old website
 */
.post-content table.center {
    margin-bottom: 10px;
}

.post-content table.image {
    background: #e9e9e9 none repeat scroll 0 0;
    border-collapse: collapse;
    color: #135eb9;
    max-width: 90%;
}

.post-content table.center td.image_desc {
    padding: 5px;
}

/**
 * customize style for new features
 */
.tox.tox-tinymce--toolbar-sticky-on .tox-editor-header {
    top: 60px !important;
}

img.image-border-5 {
    border-radius: 5px;
}

img.image-border-15 {
    border-radius: 15px;
}

img.image-circle {
    border-radius: 50%;
    object-fit: cover;
}

.image img {
    max-width: 100%;
    height: auto;
}

.image-400 {
    width: 400px;
}

.image-500 {
    width: 500px;
}

.image-600 {
    width: 600px;
}

.image-full {
    /* width: 100%; */
}

.image-400-gray {
    max-width: 400px;
}

.image-500-gray {
    max-width: 500px;
}

.image-600-gray {
    max-width: 600px;
}

.image-full-gray {
    max-width: 100%;
}

.image-custom-gray {
    max-width: fit-content;
}

figure.image {
    text-align: center;
    margin-bottom: 15px;
    display: table;
    width: fit-content;
}

figure.image-400,
figure.image-500,
figure.image-600,
figure.image-full,
figure.image-custom {
    text-align: center;
}

figure.image-400 img,
figure.image-500 img,
figure.image-600 img,
figure.image-full img,
figure.image-custom img {
    max-width: 100%;
    height: auto;
}

figure.image-400-gray,
figure.image-500-gray,
figure.image-600-gray,
figure.image-full-gray,
figure.image-custom-gray {
    background-color: #e9e9e9;
    color: #135eb9;
    text-align: center;
}

figure.image-400-gray img,
figure.image-500-gray img,
figure.image-600-gray img,
figure.image-full-gray img,
figure.image-custom-gray img {
    padding: 5px;
    max-width: 100%;
    max-height: 100%;
}

figure.image figcaption {
    padding: 8px;
    line-height: 1.2em;
    font-size: 1em;
    font-style: italic;
    display: table-caption;
    caption-side: bottom;
}

figure.image-400-gray figcaption,
figure.image-500-gray figcaption,
figure.image-600-gray figcaption,
figure.image-full-gray figcaption,
figure.image-custom-gray figcaption {
    padding-top: 3px;
    background-color: #e9e9e9;
}

figure.align-center figcaption {
    text-align: center;
    max-width: 100%;
}

figure.image-400,
figure.image-500,
figure.image-600,
figure.image-full,
figure.image-400-gray,
figure.image-500-gray,
figure.image-600-gray,
figure.image-full-gray,
figure.image-custom-gray {
    margin-bottom: 15px;
}

.table-sapo-logo {
    display: inline !important;
    height: 18px !important;
    vertical-align: middle;
}

.table-left {
    margin-right: 15px;
}

.table-right {
    margin-left: 15px;
}

.table-400 {
    max-width: 400px;
}

.table-500 {
    max-width: 500px;
}

.table-600 {
    max-width: 600px;
}

.table-custom {
    max-width: 100%;
}

.table-full {
    max-width: 100%;
}

.table-400 img,
.table-500 img,
.table-600 img,
.table-full img,
.table-custom img {
    max-width: 100%;
    height: auto;
}

.table-400-gray {
    max-width: 400px;
}

.table-500-gray {
    max-width: 500px;
}

.table-600-gray {
    max-width: 600px;
}

.table-full-gray {
    max-width: 100%;
}

.table-custom-gray {
    max-width: 100%;
}

.table-400-gray td,
.table-500-gray td,
.table-600-gray td,
.table-full-gray td,
.table-custom-gray td {
    background-color: #e9e9e9;
    color: #135eb9;
    text-align: center;
}

.table-400-gray img,
.table-500-gray img,
.table-600-gray img,
.table-full-gray img,
.table-custom-gray img {
    max-width: 100%;
    height: auto;
}

.table-400,
.table-500,
.table-600,
.table-full,
.table-400-gray,
.table-500-gray,
.table-600-gray,
.table-full-gray {
    margin-bottom: 15px;
}

p.firstLetter:first-letter {
    font-size: 60px;
    line-height: 60px;
    display: block;
    float: left;
    margin-right: 10px;
    padding: 0 10px 5px 10px;
    vertical-align: text-top;
    background: #f7f7f7;
    color: #000;
    font-weight: bold;
}

blockquote {
    margin-bottom: 2rem;
    padding: 5rem 2rem 0 2rem;
    quotes: '\201C''\201D''\2018''\2019';
    position: relative;
    text-align: center;
}

blockquote:before {
    color: #ccc;
    content: open-quote;
    font-family: Arial, serif;
    font-size: 10rem;
    line-height: 0.1rem;
    position: absolute;
    top: 5rem;
    left: 0;
    margin-left: calc(50% - 2.5rem);
}

blockquote p {
    display: block;
}

@media screen and (max-width: 767.99px) {

    .table-400,
    .table-500,
    .table-600,
    .table-full,
    .table-400 img,
    .table-500 img,
    .table-600 img,
    .table-full img,
    .table-custom img {
        height: auto;
    }

    .table-400-gray,
    .table-500-gray,
    .table-600-gray,
    .table-ful-gray,
    .table-400-gray img,
    .table-500-gray img,
    .table-600-gray img,
    .table-full-gray img,
    .table-custom-gray img {
        height: auto;
    }

    figure.image img {
        width: inherit;
    }

    figure.image figcaption {
        line-height: 1.4rem;
    }
}